Bug 1479454 - [v2v] request timeout is very long (~2 days)
[v2v] request timeout is very long (~2 days)
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.2
Assigned To: Shmuel Melamud
Ilanit Stein
rhev:v2v
: ZStream
Depends On: 1469498
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 11:00 EDT by Satoe Imaishi
Modified: 2017-10-23 20:37 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1469498
Environment:
Last Closed: 2017-10-23 20:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ManageIQ/manageiq-content/pull/149 None None None 2017-08-08 11:01 EDT

  None (edit)
Comment 2 CFME Bot 2017-08-09 08:43:18 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/8984f281d368d1d7766add67a0538edb5f94e66a

commit 8984f281d368d1d7766add67a0538edb5f94e66a
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Jul 28 13:42:53 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 08:35:51 2017 -0400

    Merge pull request #149 from smelamud/vm-import-wait-for-vm
    
    v2v: Handle IMPORTEXPORT_STARTING_IMPORT_VM event
    (cherry picked from commit 2e4892ca43df34433677e91ba27282315b37e2e1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479454
    https://bugzilla.redhat.com/show_bug.cgi?id=1479453

 .../VmImport.class/__methods__/wait_for_vm_import.rb         |  2 +-
 .../Event/EmsEvent/RHEVM.class/importexport_import_vm.yaml   |  2 +-
 .../EmsEvent/RHEVM.class/importexport_import_vm_failed.yaml  |  2 ++
 .../RHEVM.class/importexport_starting_import_vm.yaml         | 12 ++++++++++++
 4 files changed, 16 insertions(+), 2 deletions(-)
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/RHEVM.class/importexport_starting_import_vm.yaml
Comment 3 Ilanit Stein 2017-08-28 06:32:26 EDT
Verified on CFME-5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

Before this change, Import retry interval were set to 1/2 an hour default.
Now the retries are every ~3 min, ending up in total 5 hours timeout.
Comment 5 errata-xmlrpc 2017-10-23 20:37:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.